View Issue Details

IDProjectCategoryView StatusLast Update
14363Bug reports[All Projects] Theme editorpublic2019-04-30 09:11
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14363: In theme option : current template is the default one
Description

$oTemplate (related function) usage inside option.twig is done with default one

Steps To Reproduce

Import included survey,

Diff in options was adding
<option data-lightbox-src="{{ imageSrc('./files/logo.png') }}" value="./files/logo.png">{{ gT('Default') }}</option>
Diff in files is another logo.png

To show the «default» logo and not an empty dropdown

Additional Information

The issue is not about logo (that must be set to current image.filename in options) (think issue is already reported ?)

The issue is about logo show : here logo show are this one of vanilla (because i set vanilla to default (currently))

If i set it to skelvanilla : strangely : it's the good one shown …

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.5 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2018-12-20 01:04

developer  

vanilla_imgdefault_options.zip (123,346 bytes)
DenisChenu

DenisChenu

2018-12-20 01:19

developer   ~50017

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28666

ollehar

ollehar

2019-01-16 17:30

administrator   ~50238

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28765

Related Changesets

LimeSurvey: master 6b3627a3

2018-12-20 01:19:16

DenisChenu

Details Diff
Fixed issue 14363: In theme option : current template is the default one
Dev: remove a deprecated file
Affected Issues
14363
mod - application/controllers/admin/themeoptions.php Diff File
rm - application/views/system/error404.php Diff File

LimeSurvey: develop ee820864

2018-12-20 01:19:16

DenisChenu


Committer: ollehar Details Diff
Fixed issue 14363: In theme option : current template is the default one
Dev: remove a deprecated file
Affected Issues
14363
mod - application/controllers/admin/themeoptions.php Diff File
rm - application/views/system/error404.php Diff File

Issue History

Date Modified Username Field Change
2018-12-20 00:53 DenisChenu New Issue
2018-12-20 01:03 DenisChenu Assigned To => DenisChenu
2018-12-20 01:03 DenisChenu Status new => assigned
2018-12-20 01:04 DenisChenu File Added: vanilla_imgdefault_options.zip
2018-12-20 01:19 DenisChenu Changeset attached => LimeSurvey master 6b3627a3
2018-12-20 01:19 DenisChenu Note Added: 50017
2018-12-20 01:19 DenisChenu Resolution open => fixed
2018-12-20 01:19 DenisChenu Status assigned => resolved
2018-12-20 01:19 DenisChenu Fixed in Version => 3.15.x
2019-01-16 17:30 ollehar Changeset attached => LimeSurvey develop ee820864
2019-01-16 17:30 ollehar Note Added: 50238
2019-04-30 09:11 c_schmitz Status resolved => closed